List a worker's saved versions
curl --request GET \
--url https://api.statisfy.com/v1/digital_workers/{worker_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.statisfy.com/v1/digital_workers/{worker_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.statisfy.com/v1/digital_workers/{worker_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/digital_workers/{worker_id}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/digital_workers/{worker_id}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.statisfy.com/v1/digital_workers/{worker_id}/versions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/digital_workers/{worker_id}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"author": "<string>",
"created_at": "<string>",
"id": "<string>",
"label": "<string>",
"live": true,
"settings": {
"accounts": {
"segment": {}
},
"assignment": {
"owner_field": "<string>",
"people": [
"<string>"
],
"strategy": "smart",
"to": "account_owner",
"when_teammate_answers": "keep_owner"
},
"autonomy": {
"channels": {},
"default": "auto"
},
"channels": {
"email": {
"acknowledge": true,
"acknowledgement": "<string>",
"addresses": [
"<string>"
],
"company_address": "<string>",
"enabled": true,
"forwarding": true,
"shared_mailboxes": [
"<string>"
],
"take_in_unknown_senders": true,
"watch_mailboxes": true
},
"in_app_sdk": {
"acknowledgement": "<string>",
"enabled": true
},
"portal": {
"acknowledgement": "<string>",
"enabled": true
},
"slack": {
"acknowledge": true,
"acknowledgement": "<string>",
"enabled": true,
"grouping": "thread"
},
"teams": {
"acknowledge": true,
"acknowledgement": "<string>",
"enabled": true
}
},
"description": "<string>",
"knowledge_bases": [
{
"id": "<string>",
"name": "<string>"
}
],
"name": "<string>",
"outreach_enabled": true,
"persona": {
"ai_disclosure": "transparent",
"greeting": "<string>",
"guardrails": "<string>",
"voice": "<string>"
},
"skills": [
{
"enabled": true,
"key": "<string>",
"name": "<string>"
}
]
},
"source": "<string>",
"unavailable_skills": [
"<string>"
]
}
]
}digital_workers
List a worker's saved versions
The worker’s saved settings, newest first: each save that changed them adds one, from the app or the API, and the newest is live. Settings the API doesn’t show (its tool selection, MCP servers and outreach settings) are left out of settings. A restore puts back its tool selection and outreach settings, not its MCP servers.
GET
/
v1
/
digital_workers
/
{worker_id}
/
versions
List a worker's saved versions
curl --request GET \
--url https://api.statisfy.com/v1/digital_workers/{worker_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.statisfy.com/v1/digital_workers/{worker_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.statisfy.com/v1/digital_workers/{worker_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/digital_workers/{worker_id}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/digital_workers/{worker_id}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.statisfy.com/v1/digital_workers/{worker_id}/versions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/digital_workers/{worker_id}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"author": "<string>",
"created_at": "<string>",
"id": "<string>",
"label": "<string>",
"live": true,
"settings": {
"accounts": {
"segment": {}
},
"assignment": {
"owner_field": "<string>",
"people": [
"<string>"
],
"strategy": "smart",
"to": "account_owner",
"when_teammate_answers": "keep_owner"
},
"autonomy": {
"channels": {},
"default": "auto"
},
"channels": {
"email": {
"acknowledge": true,
"acknowledgement": "<string>",
"addresses": [
"<string>"
],
"company_address": "<string>",
"enabled": true,
"forwarding": true,
"shared_mailboxes": [
"<string>"
],
"take_in_unknown_senders": true,
"watch_mailboxes": true
},
"in_app_sdk": {
"acknowledgement": "<string>",
"enabled": true
},
"portal": {
"acknowledgement": "<string>",
"enabled": true
},
"slack": {
"acknowledge": true,
"acknowledgement": "<string>",
"enabled": true,
"grouping": "thread"
},
"teams": {
"acknowledge": true,
"acknowledgement": "<string>",
"enabled": true
}
},
"description": "<string>",
"knowledge_bases": [
{
"id": "<string>",
"name": "<string>"
}
],
"name": "<string>",
"outreach_enabled": true,
"persona": {
"ai_disclosure": "transparent",
"greeting": "<string>",
"guardrails": "<string>",
"voice": "<string>"
},
"skills": [
{
"enabled": true,
"key": "<string>",
"name": "<string>"
}
]
},
"source": "<string>",
"unavailable_skills": [
"<string>"
]
}
]
}Authorizations
An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.
Was this page helpful?